Parses the Gender out of a templateId-String

### Hierarchy

- GenderParser

### Implements

- Component

## Index

### Properties

- regexGenderIdentifier

### Methods

- Process

## Properties

### Private regexGenderIdentifier

regexGenderIdentifier: RegExp = new RegExp('AVATAR_(.)_?.*', 'g')

- Defined in components/avatar-customization/shared/gender-parser.component.ts:8

## Methods

### Process

- Process(templateId: string): Gender

- - Defined in components/avatar-customization/shared/gender-parser.component.ts:17

  Parses the Gender out of a templateId-string

  example

    new GenderParser().Process('AVATAR_m_hat_default_3'); // Gender.Male; new GenderParser().Process('AVATAR_f_hat_default_3'); // Gender.Female;

  #### Parameters

  - ##### templateId: string

  #### Returns Gender

  The gender parsed out of the given templateId string

Generated using TypeDoc